-- Conversations messages table
alter table comunic_conversations_messages rename column time_insert to time_sent;
alter table comunic_conversations_messages modify message TEXT;
alter table comunic_conversations_messages
	add column file_path varchar(255) default null,
    add column file_size int default null,
    add column file_name varchar(255) default null,
    add column file_thumbnail varchar(255) default null,
    add column file_type varchar(128) default null;
update comunic_conversations_messages set file_path = image_path, file_size = 10, file_type = "image/png", file_name = "image.png" where image_path is not null and id >= 1;
alter table comunic_conversations_messages drop column image_path;

-- Conversations members table
ALTER TABLE `comunic_conversations_users` RENAME TO  `comunic_conversations_members` ;
ALTER TABLE comunic_conversations_members rename column time_add to added_on;
alter table comunic_conversations_members drop column saw_last_message;
alter table comunic_conversations_members
	add column is_admin int default 1,
    add column last_message_seen int default 0,
    add column last_access int default 0;

-- Conversations list table
alter table comunic_conversations_list drop column user_id;
alter table comunic_conversations_list rename column last_active to last_activity;
alter table comunic_conversations_list
	add column color varchar(6),
    add column logo varchar(255),
    add group_id int;